"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _fs = require("fs");

var _fs2 = _interopRequireDefault(_fs);

var _prettier = require("prettier");

var _prettier2 = _interopRequireDefault(_prettier);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * @returns true iff output === input
 */
var runPrettier = function runPrettier(filepath, fix) {
  var config = _prettier2.default.resolveConfig.sync(filepath);
  var code = _fs2.default.readFileSync(filepath, "utf8");
  var options = Object.assign({ filepath }, config);

  if (fix) {
    var output = _prettier2.default.format(code, options);
    if (output !== code) {
      _fs2.default.writeFileSync(filepath, output);
      return false;
    }
    return true;
  } else {
    return _prettier2.default.check(code, options);
  }
};

exports.default = runPrettier;