"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _fs = require("fs");

var _fs2 = _interopRequireDefault(_fs);

var _tslint = require("tslint");

var tslint = _interopRequireWildcard(_tslint);

var _createProgram = require("./create-program");

var _createProgram2 = _interopRequireDefault(_createProgram);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * @returns true iff output === input
 */
var runTsLint = function runTsLint(filepath, fix) {
  var code = _fs2.default.readFileSync(filepath, "utf8");
  var config = tslint.Configuration.findConfiguration(null, filepath).results;

  var program = (0, _createProgram2.default)(filepath);

  // TODO(azz): This actually writes over the file, we don't really want that...
  var linter = new tslint.Linter({ fix }, program);

  linter.lint(filepath, code, config);
  var result = linter.getResult();
  if (fix) {
    // There were no fixes applied
    return result.fixes.length === 0;
  } else {
    // There were no auto-fixable problems
    return !result.failures.find(function (failure) {
      return failure.fix;
    });
  }
};

exports.default = runTsLint;